<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextFolder Method (IEdmFile5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile5 Interface : GetNextFolder Method (IEdmFile5)

Visual Basic
C#
C++/CLI

poPosition
  IEdmPos5; position of next parent folder of this file

Gets the next parent folder of this file.

# Syntax

Visual Basic |
--- | ---

    Function GetNextFolder( _
       ByVal poPosition As IEdmPos5 _
    ) As IEdmFolder5

C# |
--- | ---

    IEdmFolder5 GetNextFolder(
       IEdmPos5 poPosition
    )

C++/CLI |
--- | ---

    IEdmFolder5^ GetNextFolder(
    &   IEdmPos5^ poPosition
    )

#### Parameters

poPosition
  IEdmPos5; position of next parent folder of this file

#### Return Value

IEdmFolder5

# Example

Batch Add Files and Folders to Vault (VB.NET)
Batch Add Files and Folders to Vault (C#)

# Remarks

Before calling this method the first time, you must populate poPosition with the interface to the position of the first parent folder, IEdmPos5. Call IEdmFile5::GetFirstFolderPosition to obtain IEdmPos5.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the folders.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmFolder5.

See Return Codes for the complete list of potential success and error codes. The following are just a few examples:

- S_OK: The method successfully executed.
- E_EDM_END_OF_LIST: You have gone past the end of the list.

# See Also

####

IEdmFile5 Interface
IEdmFile5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2